<template>
  <div class="auth-v1">
    <b-row class="m-0 p-0">
      <!-- Login v1 -->

      <b-col lg="6" class="p-0">
        <div
          :style="{ 'background-image': 'url(' + bgImgOne + ')' }"
          class="login-bg"
        ></div>
      </b-col>

      <b-col lg="6" class="d-flex align-items-center auth-bg">
        <div class="auth-wrapper auth-v1 px-2">
          <div class="auth-inner p-0">
            <!-- Login v1 -->

            <b-card class="mb-0 py-2">
              <b-card-title class="mb-1"> Verify OTP</b-card-title>

              <div class="py-2">
                <b-card-text class="mb-2"
                  >Otp send to your email : john@gmail.com</b-card-text
                >

                <!-- form -->

                  <b-form class="auth-login-form mt-2" @submit.prevent="login">
                    <!-- email -->

                    <b-form-group label="Otp" label-for="otp">
                      <b-form-input
                          id="otp"
                          v-model="otp"
                          :state="errors.length > 0 ? false : null"
                          name="otp"
                          placeholder="Enter OTP"
                          maxlength="4"
                        />

                        <small class="text-danger">{{ errors[0] }}</small>
                      </b-form-group>

                    <!-- submit buttons -->

                    <b-button type="submit" variant="primary" block> Verify </b-button>
                  </b-form>
              </div>
            </b-card>

            <!-- /Login v1 -->
          </div>
        </div>
      </b-col>

      <!-- /Login v1 -->
    </b-row>
  </div>
</template>

<script>
import {
  BRow,
  BImg,
  BCol,
  BButton,
  BForm,
  BFormInput,
  BFormGroup,
  BCard,
  BLink,
  BCardTitle,
  BCardText,
  BInputGroup,
  BInputGroupAppend,
  BFormCheckbox,
  BAlert,
} from "bootstrap-vue";
import VuexyLogo from "@core/layouts/components/Logo.vue";
import { togglePasswordVisibility } from "@core/mixins/ui/forms";

export default {
  components: {
    // BSV
    BRow,
    BImg,
    BCol,
    BButton,
    BForm,
    BFormInput,
    BFormGroup,
    BCard,
    BCardTitle,
    BLink,
    VuexyLogo,
    BCardText,
    BInputGroup,
    BInputGroupAppend,
    BFormCheckbox,
    BAlert,
  },
  mixins: [togglePasswordVisibility],
  data() {
    const { bgImgOne} = $themeConfig.app;
    
    return {
      otp: "",
      bgImgOne,
      status: "",
      // validation rules
      required,
    };
  },
  computed: {
    passwordToggleIcon() {
      return this.passwordFieldType === "password" ? "EyeIcon" : "EyeOffIcon";
    },
  },
  methods: {
    login() {
      // this.$refs.otpForm.validate().then((success) => {
        axios
          .post("/api/login", {
            username: this.username,
            password: this.password,
          })
          .then((response) => {
            this.$router.push("/");
          })
          .catch((error) => {
          });
      // });
    },
    isNumber(e) {
      let char = String.fromCharCode(e.keyCode); // Get the character
      if(/^[0-9]+$/.test(char)) return true; // Match with regex 
      else e.preventDefault(); // If not match, don't add to input text
    },
  },
};
</script>

<style lang="scss">
@import "~@resources/scss/vue/pages/page-auth.scss";
</style>
